=head1 NAME

Gtk2::Frame - wrapper for GtkFrame

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Frame



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Frame-E<gt>B<new> ($label=undef)

=over

=item * $label (string or undef) 

=back

=head2 (xalign, yalign) = $frame-E<gt>B<get_label_align> 

=head2 $frame-E<gt>B<set_label_align> ($xalign, $yalign)

=over

=item * $xalign (double) 

=item * $yalign (double) 

=back

=head2 string = $frame-E<gt>B<get_label> 

=head2 $frame-E<gt>B<set_label> ($label=undef)

=over

=item * $label (string or undef) 

=back

=head2 widget = $frame-E<gt>B<get_label_widget> 

=head2 $frame-E<gt>B<set_label_widget> ($label_widget)

=over

=item * $label_widget (Gtk2::Widget) 

=back

=head2 shadowtype = $frame-E<gt>B<get_shadow_type> 

=head2 $frame-E<gt>B<set_shadow_type> ($type)

=over

=item * $type (Gtk2::ShadowType) 

=back



=cut


=head1 PROPERTIES

=over

=item 'label' (string : default undef : readable / writable / private)

Text of the frame's label

=item 'label-widget' (Gtk2::Widget : default undef : readable / writable / private)

A widget to display in place of the usual frame label

=item 'label-xalign' (float : default 0 : readable / writable / private)

The horizontal alignment of the label

=item 'label-yalign' (float : default 0.5 : readable / writable / private)

The vertical alignment of the label

=item 'shadow' (Gtk2::ShadowType : default "etched-in" : readable / writable / private)

Deprecated property, use shadow_type instead

=item 'shadow-type' (Gtk2::ShadowType : default "etched-in" : readable / writable / private)

Appearance of the frame border

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ShadowType

=over

=item * 'none' / 'GTK_SHADOW_NONE'

=item * 'in' / 'GTK_SHADOW_IN'

=item * 'out' / 'GTK_SHADOW_OUT'

=item * 'etched-in' / 'GTK_SHADOW_ETCHED_IN'

=item * 'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

